%RC kolo so sinusen naponski generator
clear; clc;
dt = 50e-6;
Tkraj = 0.1;
R = 1000;
C = 27e-6;
Ug = 12;
RC = dt / (2* C);
N = Tkraj / dt;
t = zeros(N, 1);
v1 = zeros(N, 1);
i1 = zeros(N, 1);
IH = 0;
for i = 1 : N
    t(i) = i * dt;
    if i > 1
        IH = -i1(i-1) - v1(i-1)/RC;
    end
    v1(i) = (Ug*sin(100*pi*t(i))/R - IH)/(1/R + 1/RC);
    i1(i) = (Ug*sin(100*pi*t(i)) - v1(i))/R;
end
plot(t,v1);