%RL kolo so konstanten naponski generator
clear; clc;
dt = 50e-6;
Tkraj = 1;
R = 1;
L = 50e-3;
Ug = 100;
RL = 2* L / dt;
N = Tkraj / dt;
t = zeros(N, 1);
v1 = zeros(N, 1);
i1 = zeros(N, 1);
IH = 0;
for i = 1 : N
    t(i) = i * dt;
    if i > 1
        IH = i1(i-1) + v1(i-1)/RL;
    end
    v1(i) = (Ug/R - IH)/(1/R + 1/RL);
    i1(i) = (Ug - v1(i))/R;
end
plot(t,i1);